//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see http://www.gnu.org/licenses/.
//

#include "ExtendedConstSpeedMobility.h"

Define_Module(ExtendedConstSpeedMobility);


void ExtendedConstSpeedMobility::handleHostState(const HostState& state)
{
	if(notAffectedByHostState)
		return;

	if((state.get() == HostState::FAILED) && (move.speed != 0))
	{
		cancelAndDelete(moveMsg);
		moveMsg = NULL;
	}
}

Move ExtendedConstSpeedMobility::getMove()
{
	Enter_Method_Silent();
	return move;
}

/*
void ConstSpeedMobility::fixIfHostGetsOutside()
{
    double dummy;

    handleIfOutside( PLACERANDOMLY, stepTarget, targetPos, stepSize, dummy );
}
*/






